Exploit/Advisories no image

Published on January 23rd, 2023 📆 | 3689 Views ⚑

0

Active eCommerce CMS 6.5.0 Cross Site Scripting – Torchsec


https://www.ispeech.org

# Exploit Title: Active eCommerce CMS 6.5.0 - 'svg' Stored Cross-Site
Scripting (XSS)
# Date: 19/01/2023
# Exploit Author: Sajibe Kanti
# Vendor Name: ActiveITzone
# Vendor Homepage: https://activeitzone.com/
# Software Link: https://codecanyon.net/item/active-ecommerce-cms/23471405
# Version: 6.5.0
# Tested on: Live ( Centos & Litespeed Web Server)
# Demo Link : https://demo.activeitzone.com/ecommerce/

# Description #

The Active eCommerce CMS 6.5.0 application has a vulnerability in the
profile picture upload feature that allows for stored cross-site scripting
(XSS) attacks. Specifically, the vulnerability lies in the handling of
"svg" image files, which can contain malicious code. An attacker can
exploit this vulnerability by uploading a specially crafted "svg" image
file as a profile picture, which will then be executed by the application
when the user views the profile. This can allow the attacker to steal
sensitive information, such as login credentials, or to perform other
malicious actions on the user's behalf. This vulnerability highlights the
importance of proper input validation and image file handling in web
application development.

# Exploit Details #

# Vulnerable Path : /aiz-uploader/upload
# Parameter: files (POST)
# Vector:
style="fill:rgb(0,0,255);stroke-width:3;stroke:rgb(0,0,0)" />

# Proof of Concept (PoC) : Exploit #

1) Goto: https://localhost
2) Click Registration
3) Login Your Account
4) Go Manage Profile
5) Now Upload Given Vector as anyname.svg (you must put vector code in
anyname.svg file)
6) After Upload Clic to view Your profile picture
7) XSS Popup Will Fired

# Image PoC : Reference Image #

1) Payload Fired: https://prnt.sc/cW0F_BtpyMcv

Source link

Tagged with:



Leave a Reply

Your email address will not be published.